Skip site navigation (1) Skip section navigation (2)

Problem with pl/perl in postgresql 8.0rc1

From: Robert Boone <rboone(at)mail(dot)wtamu(dot)edu>
To: PostgreSQL Novice <pgsql-novice(at)postgresql(dot)org>
Subject: Problem with pl/perl in postgresql 8.0rc1
Date: 2004-12-17 14:28:05
Message-ID: 1103293685.16420.8.camel@wt87501.wtamu.edu (view raw or flat)
Thread:
Lists: pgsql-novice
Hello,

I am very new to postgresql and was excited to see that pl/perl was able
to do more in the newest version. So I created a database to learn some
of is feature. But when I try to to do:

	createlang plperl test

I get:
	createlang: language installation failed: ERROR:  could not load
library "/usr/lib/pgsql/plperl.so": libperl.so: cannot open shared
object file: No such file or directory


I tried installing some of the other languages and they seem to work.

I am using the postgresql8.0rc1 rpms for FC3. I even try the srpm to
compile it myself but I get the same results.

If anyone could tell me what I'm doing wrong that would be great.

Thanks,

Robert Boone


pgsql-novice by date

Next:From: Robert BooneDate: 2004-12-17 14:54:45
Subject: Problem with pl/perl in postgresql 8.0rc1
Previous:From: Gino LucreziDate: 2004-12-17 12:48:56
Subject: how to echo SQL commands in the output of a script

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group